HtmlDataFilterSlider (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlDataFilterSlider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlDataFilterSlider

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDataFltrSlider
                  org.richfaces.component.html.HtmlDataFilterSlider

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.richfaces.event.DataFilterSliderSource

    public class HtmlDataFilterSlider

extends UIDataFltrSlider

Component-Type org.richfaces.DataFilterSlider Component-Family org.richfaces.DataFilterSlider Renderer-Type org.richfaces.DataFilterSliderRenderer A slider-based action component used for filtering table data.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlDataFilterSlider()` Constructor to init default renderers

Method Summary
`java.lang.Integer` | `getEndRange()` A slider end point Getter for endRange
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFieldStyleClass()` The styleClass for input that displays the value : 'manualInput' must be true Getter for fieldStyleClass
`java.lang.String` | `getFilterBy()` A getter of an object member required to compare a slider value to.
`java.lang.String` | `getFor()` The component using UIData (datatable id) Getter for for
`java.lang.String` | `getForValRef()` This is a string which is used in a value attribute of the datatable.
`java.lang.String` | `getHandleStyleClass()` The handleStyleClass for a handle Getter for handleStyleClass
`java.lang.Integer` | `getHandleValue()` Current handle value Getter for handleValue
`java.lang.Integer` | `getIncrement()` Amount to which a handle on each slide/move should be incremented Getter for increment
`java.lang.String` | `getRangeStyleClass()` The rangeStyleClass for the background div showing a full range Getter for rangeStyleClass
`javax.faces.el.MethodBinding` | `getSliderListener()` MethodBinding representing an action listener method that will be notified after changing of slider control position Getter for sliderListener
`java.lang.Integer` | `getStartRange()` A slider begin point Getter for startRange
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` The styleClass for the container div surrounding the component Getter for styleClass
`java.lang.String` | `getTrackStyleClass()` The trackStyleClass for a background div Getter for trackStyleClass
`java.lang.String` | `getTrailerStyleClass()` The trailerStyleClass for a div following a handle Getter for trailerStyleClass
`java.lang.String` | `getWidth()` Width of the slider control Getter for width
`boolean` | `isManualInput()` False value for this attribute makes text field "read-only" and "hidden".
`boolean` | `isOnChange()` If the slider value changes must submit a form, onSlide or OnChange can be true Getter for onChange
`boolean` | `isOnSlide()` If the slider value changes must submit a form, onSlide or OnChange can be true Getter for onSlide
`boolean` | `isStoreResults()` Specifies if the component will store a UIData object (your table rows) in session Getter for storeResults
`boolean` | `isTrailer()` It shows or hides a trailer following a handle Getter for trailer
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setEndRange(java.lang.Integer __endRange)` A slider end point Setter for endRange
`void` | `setFieldStyleClass(java.lang.String __fieldStyleClass)` The styleClass for input that displays the value : 'manualInput' must be true Setter for fieldStyleClass
`void` | `setFilterBy(java.lang.String __filterBy)` A getter of an object member required to compare a slider value to.
`void` | `setFor(java.lang.String __for)` The component using UIData (datatable id) Setter for for
`void` | `setForValRef(java.lang.String __forValRef)` This is a string which is used in a value attribute of the datatable.
`void` | `setHandleStyleClass(java.lang.String __handleStyleClass)` The handleStyleClass for a handle Setter for handleStyleClass
`void` | `setHandleValue(java.lang.Integer __handleValue)` Current handle value Setter for handleValue
`void` | `setIncrement(java.lang.Integer __increment)` Amount to which a handle on each slide/move should be incremented Setter for increment
`void` | `setManualInput(boolean __manualInput)` False value for this attribute makes text field "read-only" and "hidden".
`void` | `setOnChange(boolean __onChange)` If the slider value changes must submit a form, onSlide or OnChange can be true Setter for onChange
`void` | `setOnSlide(boolean __onSlide)` If the slider value changes must submit a form, onSlide or OnChange can be true Setter for onSlide
`void` | `setRangeStyleClass(java.lang.String __rangeStyleClass)` The rangeStyleClass for the background div showing a full range Setter for rangeStyleClass
`void` | `setSliderListener(javax.faces.el.MethodBinding __sliderListener)` MethodBinding representing an action listener method that will be notified after changing of slider control position Setter for sliderListener
`void` | `setStartRange(java.lang.Integer __startRange)` A slider begin point Setter for startRange
`void` | `setStoreResults(boolean __storeResults)` Specifies if the component will store a UIData object (your table rows) in session Setter for storeResults
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` The styleClass for the container div surrounding the component Setter for styleClass
`void` | `setTrackStyleClass(java.lang.String __trackStyleClass)` The trackStyleClass for a background div Setter for trackStyleClass
`void` | `setTrailer(boolean __trailer)` It shows or hides a trailer following a handle Setter for trailer
`void` | `setTrailerStyleClass(java.lang.String __trailerStyleClass)` The trailerStyleClass for a div following a handle Setter for trailerStyleClass
`void` | `setWidth(java.lang.String __width)` Width of the slider control Setter for width

Methods inherited from class org.richfaces.component.UIDataFltrSlider
`addSliderListener, broadcast, decode, filterDataTable, getDataTable, getFacesContext, getRendersChildren, getSliderListeners, getSliderRange, getUIData, isActive, processDecodes, removeSliderListener, resetDataTable, setActive`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlDataFilterSlider

    public HtmlDataFilterSlider()

  Constructor to init default renderers

Method Detail

### setWidth

    public void setWidth(java.lang.String __width)

  Width of the slider control Setter for width

  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  Width of the slider control Getter for width

  Returns:
    width value from local variable or value bindings

### setFilterBy

    public void setFilterBy(java.lang.String __filterBy)

  A getter of an object member required to compare a slider value to. This is a value that is used in results filtering Setter for filterBy

  Specified by:
    `setFilterBy` in class `UIDataFltrSlider`
  Parameters:
    `filterBy` - - new value

### getFilterBy

    public java.lang.String getFilterBy()

  A getter of an object member required to compare a slider value to. This is a value that is used in results filtering Getter for filterBy

  Specified by:
    `getFilterBy` in class `UIDataFltrSlider`
  Returns:
    filterBy value from local variable or value bindings

### setStartRange

    public void setStartRange(java.lang.Integer __startRange)

  A slider begin point Setter for startRange

  Specified by:
    `setStartRange` in class `UIDataFltrSlider`
  Parameters:
    `startRange` - - new value

### getStartRange

    public java.lang.Integer getStartRange()

  A slider begin point Getter for startRange

  Specified by:
    `getStartRange` in class `UIDataFltrSlider`
  Returns:
    startRange value from local variable or value bindings

### setEndRange

    public void setEndRange(java.lang.Integer __endRange)

  A slider end point Setter for endRange

  Specified by:
    `setEndRange` in class `UIDataFltrSlider`
  Parameters:
    `endRange` - - new value

### getEndRange

    public java.lang.Integer getEndRange()

  A slider end point Getter for endRange

  Specified by:
    `getEndRange` in class `UIDataFltrSlider`
  Returns:
    endRange value from local variable or value bindings

### setStoreResults

    public void setStoreResults(boolean __storeResults)

  Specifies if the component will store a UIData object (your table rows) in session Setter for storeResults

  Specified by:
    `setStoreResults` in class `UIDataFltrSlider`
  Parameters:
    `storeResults` - - new value

### isStoreResults

    public boolean isStoreResults()

  Specifies if the component will store a UIData object (your table rows) in session Getter for storeResults

  Specified by:
    `isStoreResults` in class `UIDataFltrSlider`
  Returns:
    storeResults value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  The styleClass for the container div surrounding the component Setter for styleClass

  Specified by:
    `setStyleClass` in class `UIDataFltrSlider`
  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  The styleClass for the container div surrounding the component Getter for styleClass

  Specified by:
    `getStyleClass` in class `UIDataFltrSlider`
  Returns:
    styleClass value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setOnSlide

    public void setOnSlide(boolean __onSlide)

  If the slider value changes must submit a form, onSlide or OnChange can be true Setter for onSlide

  Specified by:
    `setOnSlide` in class `UIDataFltrSlider`
  Parameters:
    `onSlide` - - new value

### isOnSlide

    public boolean isOnSlide()

  If the slider value changes must submit a form, onSlide or OnChange can be true Getter for onSlide

  Specified by:
    `isOnSlide` in class `UIDataFltrSlider`
  Returns:
    onSlide value from local variable or value bindings

### setHandleValue

    public void setHandleValue(java.lang.Integer __handleValue)

  Current handle value Setter for handleValue

  Specified by:
    `setHandleValue` in class `UIDataFltrSlider`
  Parameters:
    `handleValue` - - new value

### getHandleValue

    public java.lang.Integer getHandleValue()

  Current handle value Getter for handleValue

  Specified by:
    `getHandleValue` in class `UIDataFltrSlider`
  Returns:
    handleValue value from local variable or value bindings

### setSliderListener

    public void setSliderListener(javax.faces.el.MethodBinding __sliderListener)

  MethodBinding representing an action listener method that will be notified after changing of slider control position Setter for sliderListener

  Specified by:
    `setSliderListener` in class `UIDataFltrSlider`
  Parameters:
    `sliderListener` - - new value

### getSliderListener

    public javax.faces.el.MethodBinding getSliderListener()

  MethodBinding representing an action listener method that will be notified after changing of slider control position Getter for sliderListener

  Specified by:
    `getSliderListener` in class `UIDataFltrSlider`
  Returns:
    sliderListener value from local variable or value bindings

### setTrackStyleClass

    public void setTrackStyleClass(java.lang.String __trackStyleClass)

  The trackStyleClass for a background div Setter for trackStyleClass

  Specified by:
    `setTrackStyleClass` in class `UIDataFltrSlider`
  Parameters:
    `trackStyleClass` - - new value

### getTrackStyleClass

    public java.lang.String getTrackStyleClass()

  The trackStyleClass for a background div Getter for trackStyleClass

  Specified by:
    `getTrackStyleClass` in class `UIDataFltrSlider`
  Returns:
    trackStyleClass value from local variable or value bindings

### setHandleStyleClass

    public void setHandleStyleClass(java.lang.String __handleStyleClass)

  The handleStyleClass for a handle Setter for handleStyleClass

  Specified by:
    `setHandleStyleClass` in class `UIDataFltrSlider`
  Parameters:
    `handleStyleClass` - - new value

### getHandleStyleClass

    public java.lang.String getHandleStyleClass()

  The handleStyleClass for a handle Getter for handleStyleClass

  Specified by:
    `getHandleStyleClass` in class `UIDataFltrSlider`
  Returns:
    handleStyleClass value from local variable or value bindings

### setFor

    public void setFor(java.lang.String __for)

  The component using UIData (datatable id) Setter for for

  Specified by:
    `setFor` in class `UIDataFltrSlider`
  Parameters:
    `for` - - new value

### getFor

    public java.lang.String getFor()

  The component using UIData (datatable id) Getter for for

  Specified by:
    `getFor` in class `UIDataFltrSlider`
  Returns:
    for value from local variable or value bindings

### setIncrement

    public void setIncrement(java.lang.Integer __increment)

  Amount to which a handle on each slide/move should be incremented Setter for increment

  Specified by:
    `setIncrement` in class `UIDataFltrSlider`
  Parameters:
    `increment` - - new value

### getIncrement

    public java.lang.Integer getIncrement()

  Amount to which a handle on each slide/move should be incremented Getter for increment

  Specified by:
    `getIncrement` in class `UIDataFltrSlider`
  Returns:
    increment value from local variable or value bindings

### setRangeStyleClass

    public void setRangeStyleClass(java.lang.String __rangeStyleClass)

  The rangeStyleClass for the background div showing a full range Setter for rangeStyleClass

  Specified by:
    `setRangeStyleClass` in class `UIDataFltrSlider`
  Parameters:
    `rangeStyleClass` - - new value

### getRangeStyleClass

    public java.lang.String getRangeStyleClass()

  The rangeStyleClass for the background div showing a full range Getter for rangeStyleClass

  Specified by:
    `getRangeStyleClass` in class `UIDataFltrSlider`
  Returns:
    rangeStyleClass value from local variable or value bindings

### setFieldStyleClass

    public void setFieldStyleClass(java.lang.String __fieldStyleClass)

  The styleClass for input that displays the value : 'manualInput' must be true Setter for fieldStyleClass

  Specified by:
    `setFieldStyleClass` in class `UIDataFltrSlider`
  Parameters:
    `fieldStyleClass` - - new value

### getFieldStyleClass

    public java.lang.String getFieldStyleClass()

  The styleClass for input that displays the value : 'manualInput' must be true Getter for fieldStyleClass

  Specified by:
    `getFieldStyleClass` in class `UIDataFltrSlider`
  Returns:
    fieldStyleClass value from local variable or value bindings

### setTrailer

    public void setTrailer(boolean __trailer)

  It shows or hides a trailer following a handle Setter for trailer

  Specified by:
    `setTrailer` in class `UIDataFltrSlider`
  Parameters:
    `trailer` - - new value

### isTrailer

    public boolean isTrailer()

  It shows or hides a trailer following a handle Getter for trailer

  Specified by:
    `isTrailer` in class `UIDataFltrSlider`
  Returns:
    trailer value from local variable or value bindings

### setManualInput

    public void setManualInput(boolean __manualInput)

  False value for this attribute makes text field "read-only" and "hidden". Hence, the value can be changed only from a handle Setter for manualInput

  Specified by:
    `setManualInput` in class `UIDataFltrSlider`
  Parameters:
    `manualInput` - - new value

### isManualInput

    public boolean isManualInput()

  False value for this attribute makes text field "read-only" and "hidden". Hence, the value can be changed only from a handle Getter for manualInput

  Specified by:
    `isManualInput` in class `UIDataFltrSlider`
  Returns:
    manualInput value from local variable or value bindings

### setForValRef

    public void setForValRef(java.lang.String __forValRef)

  This is a string which is used in a value attribute of the datatable. It is used for resetting the datatable back to the original list provided by a backing bean Setter for forValRef

  Specified by:
    `setForValRef` in class `UIDataFltrSlider`
  Parameters:
    `forValRef` - - new value

### getForValRef

    public java.lang.String getForValRef()

  This is a string which is used in a value attribute of the datatable. It is used for resetting the datatable back to the original list provided by a backing bean Getter for forValRef

  Specified by:
    `getForValRef` in class `UIDataFltrSlider`
  Returns:
    forValRef value from local variable or value bindings

### setOnChange

    public void setOnChange(boolean __onChange)

  If the slider value changes must submit a form, onSlide or OnChange can be true Setter for onChange

  Specified by:
    `setOnChange` in class `UIDataFltrSlider`
  Parameters:
    `onChange` - - new value

### isOnChange

    public boolean isOnChange()

  If the slider value changes must submit a form, onSlide or OnChange can be true Getter for onChange

  Specified by:
    `isOnChange` in class `UIDataFltrSlider`
  Returns:
    onChange value from local variable or value bindings

### setTrailerStyleClass

    public void setTrailerStyleClass(java.lang.String __trailerStyleClass)

  The trailerStyleClass for a div following a handle Setter for trailerStyleClass

  Specified by:
    `setTrailerStyleClass` in class `UIDataFltrSlider`
  Parameters:
    `trailerStyleClass` - - new value

### getTrailerStyleClass

    public java.lang.String getTrailerStyleClass()

  The trailerStyleClass for a div following a handle Getter for trailerStyleClass

  Specified by:
    `getTrailerStyleClass` in class `UIDataFltrSlider`
  Returns:
    trailerStyleClass value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.